
# CellChat 1.6.0 (2022-11-12)

CellChat is now applicable to spatial imaging data. We showcase its application to 10X Visium data. When spatial locations of spots/cells are available, CellChat infers spatial-informed cell-cell communication between interacting cell groups. CellChat restricts cell-cell communication within the maximum interaction/diffusion length of molecules. 

A brief [tutorial](https://htmlpreview.github.io/?https://github.com/sqjin/CellChat/blob/master/tutorial/CellChat_analysis_of_spatial_imaging_data.html) for spatial imaging data analysis is available in the tutorial directory. CellChat's various functionality can be used for further data exploration, analysis, and visualization. 

We have redesigned the structure of CellChat object. When loading previous CellChat object (version < 1.6.0), please update the object via `updateCellChat`. 

## Updated functions with minor changes
Functions that have been updated for analyzing spatial imaging data, such as `CellChat-class`, `createCellChat`, `updateCellChat`, `computeCommunProb`, `netVisual`, `netVisual_aggregate`, `netVisual_individual`

## New added functions
`netVisual_spatial`, `computeRegionDistance`

# CellChat 1.5.0 (2022-08-06)
We have now presented our comparison framework for systematically detecting dysregulated cell-cell communication across biological conditions, and
then utilized it to study the aging-induced signaling changes during skin wound healing. Our results not only present general communication rules and signaling mechanisms in wound healing associated with aging, but also provide a paradigm for other researchers to study cell-cell communication in other contexts. Please check out [our paper (Vu#, Jin#, Sun# et al., Cell Reports, 2022)](https://doi.org/10.1016/j.celrep.2022.111155) for the detailed methods and applications.

# CellChat 1.4.0 (2022-05-07)
## Updated functions with minor changes
A number of functions have been updated with enhanced functionalities, such as `rankNet`, `netVisual_aggregate`, `netVisual_circle`, 'plotGeneExpression', `netVisual_embedding`.  

## New added functions
`computeEnrichmentScore`, 'netVisual_barplot', 'barPlot'

# CellChat 1.1.3 (2021-08-14)
## Updated functions with minor changes
`netAnalysis_computeCentrality`, `netVisual_embeddingPairwise`, `netAnalysis_signalingChanges_scatter`
NB: The method for computing the 'influencer' metric in the function `netAnalysis_computeCentrality` has been changed due to the issue that "lower" mode gives different results when re-ordering the matrix. The results changed, but it looks like the dominant patterns do not change, i.e., the top cell groups ranked based on this metrix retain the same.  

# CellChat 1.1.2 (2021-07-10)
## New added functions
* Add `netAnalysis_diff_signalingRole_scatter` for 2D visualization of differential signaling roles of each cell group when comparing mutiple datasets.

## Updated functions with minor changes
`netVisual`, `netVisual_aggregate`, `netVisual_individual`, `netVisual_hierarchy1`, `netVisual_hierarchy2`,`netVisual_circle`,`createCellChat`,`netAnalysis_computeCentrality` ,`netAnalysis_signalingRole_scatter`, `netAnalysis_signalingChanges_scatter`

## Important changes
* Add `thresh = 0.05` in `netAnalysis_computeCentrality` to only consider the significant interactions. This will slightly change (very likely quantitative instead of qualitative change) the results computed by previous version of CellChat. 

* In the updated `netAnalysis_computeCentrality`, we now also compute unweighted outdegree (i.e., the total number of outgoing links) and indegree (i.e., the total number of incoming links). 

* `netAnalysis_signalingRole_scatter` and `netAnalysis_signalingChanges_scatter` now support the comparison of the total number of outgoing and incoming links. 

* Change the default setting for visualizing cell-cell communication network: 1) using `circle` plot instead of `hierarchy`; 2) using the same node size instead of different size (setting `vertex.weight = NULL` will give different size as in previous version of CellChat).  


# CellChat 1.1.1 (2021-06-19)
## New added functions
* Add `updateClusterLabels` to update cell cluster labels without re-running the time-consuming function `computeCommunProb`.
## Updated functions with minor changes
`netAnalysis_signalingRole_scatter`, `setIdent`, `netVisual_diffInteraction`, `sketchData`, `identifyOverExpressedGenes`,`netEmbedding`,`runUMAP`

# CellChat 1.1.0 (2021-04-26)
## New added functions
* Add `subsetCellChat` to create a object using a portion of cells
* Add `computeAveExpr` to compute the average expression per cell group
* Add `sketchData` to downsample the single cell data for faster calculation
* Add `netAnalysis_signalingChanges_scatter` to identify the signaling changes associated with one cell group

## Important changes
* `computeCommunProb` now supports a faster calculation and displays a ProgressBar
* `computeCommunProbPathway` now returns the significant pathways that are ordered based on the total communication probabilities

## Publish a new release
* The first release was published as version 1.0.0 before updating to version 1.1.0 

# CellChat 1.0.0 (2021-02-17)

* CellChat paper is now officially published [(Jin et al., Nature Communications, 2021)](https://www.nature.com/articles/s41467-021-21246-9). Compared to the preprint, we have now experimentally validated CellChat's predictions on embryonic skin using RNAscope technique, applied CellChat to a human diseased skin dataset and updated many others. 
* We have now developed a [standalone CellChat Shiny App](https://github.com/sqjin/CellChatShiny) for interactive exploration of the cell-cell communication analyzed by CellChat. Want to share your results with your collaborators like biologists for further exploration? Try it out! 


# CellChat 0.5.0 (2021-01-05)

* Slight changes of CellChat object (Please update your previously calculated CellChat object via `updateCellChat()`)
* Enhanced documentation of functions and tutorials (use `help()` to check the documentation, e.g., `help(CellChat)`)
* New features for comparison analysis of multiple datasets
* Support for creating a new CellChat object from Seurat V3 or SingleCellExperiment object


